import * as ava from './ava.js';
import * as browser from './browser.js';
import * as canonical from './canonical.js';
import * as cypress from './cypress.js';
import * as graphql from './graphql.js';
import * as jest from './jest.js';
import * as jsdoc from './jsdoc.js';
import * as json from './json.js';
import * as jsxA11y from './jsx-a11y.js';
import * as lodash from './lodash.js';
import * as mocha from './mocha.js';
import * as moduleRules from './module.js';
import * as next from './next.js';
import * as node from './node.js';
import * as prettier from './prettier.js';
import * as react from './react.js';
import * as regexp from './regexp.js';
import * as typescript from './typescript.js';
import * as vitest from './vitest.js';
import * as yaml from './yaml.js';
import * as zod from './zod.js';

export default {
  ava: ava.recommended,
  browser: browser.recommended,
  canonical: canonical.recommended,
  cypress: cypress.recommended,
  graphql: graphql.recommended,
  jest: jest.recommended,
  jsdoc: jsdoc.recommended,
  json: json.recommended,
  jsxA11y: jsxA11y.recommended,
  lodash: lodash.recommended,
  mocha: mocha.recommended,
  module: moduleRules.recommended,
  next: next.recommended,
  node: node.recommended,
  prettier: prettier.recommended,
  react: react.recommended,
  regexp: regexp.recommended,
  typescript: typescript.recommended,
  vitest: vitest.recommended,
  yaml: yaml.recommended,
  zod: zod.recommended,
};
